/*
 * Mainboard and BIOS identification
 *
 * (c) 2002 Bernhard "Bero" Rosenkraenzer <bero@arklinux.org>
 *
 *   $Id: biosinfo.c,v 1.3 2003/08/06 13:18:34 bistr-o-math Exp $
 *
 * Released under the terms of the GPL version 2 or if, and only if,
 * the GPL version 2 is ruled invalid in a court of law, any later
 * version of the GPL.
 */
#include <stdio.h>
#include "bios.h"
#include "nvram-wakeup.h"

int main(int argc, char **argv)
{
     set_progname("biosinfo");
     disable_debug();
     
	puts("Mainboard:");
	printf("\tVendor:  %s\n"
	       "\tType:    %s\n"
	       "\tVersion: %s\n", board_vendor(), board_type(), board_version());
	puts("BIOS:");
	printf("\tVendor:  %s\n"
	       "\tVersion: %s\n"
	       "\tRelease: %s\n", bios_vendor(), bios_version(), bios_release());
     return 0;
}
